Index: IntegerProgramming/COPYING
===================================================================
--- IntegerProgramming/COPYING	(revision cbc4b8a7c332e1bec9c9736ce1c4a906902a1b73)
+++ IntegerProgramming/COPYING	(revision be6689fe956f0a8b1125b510d5502af93d70d021)
@@ -8,5 +8,5 @@
            Authors: G.-M. Greuel, G. Pfister, H. Schoenemann
 
-                        Copyright (C) 1986-2009
+                        Copyright (C) 1986-2010
 
 
Index: IntegerProgramming/Makefile.in
===================================================================
--- IntegerProgramming/Makefile.in	(revision cbc4b8a7c332e1bec9c9736ce1c4a906902a1b73)
+++ IntegerProgramming/Makefile.in	(revision be6689fe956f0a8b1125b510d5502af93d70d021)
@@ -54,4 +54,6 @@
 
 install-nolns: install
+
+install_all: install
 
 install: $(MAIN1) $(MAIN2) $(MAIN3) $(MAIN4) $(LLL)
Index: MP/Makefile.in
===================================================================
--- MP/Makefile.in	(revision cbc4b8a7c332e1bec9c9736ce1c4a906902a1b73)
+++ MP/Makefile.in	(revision be6689fe956f0a8b1125b510d5502af93d70d021)
@@ -61,4 +61,6 @@
 		fi; \
 	done
+
+install_all: install
 
 clean distclean mostlyclean maintainer-clean:
Index: Makefile.in
===================================================================
--- Makefile.in	(revision cbc4b8a7c332e1bec9c9736ce1c4a906902a1b73)
+++ Makefile.in	(revision be6689fe956f0a8b1125b510d5502af93d70d021)
@@ -31,9 +31,9 @@
 # general targets
 # simply descend for these targets
-.PHONY: all install uninstall
+.PHONY: all install uninstall install_all
 
 TEXINFO_TEX_FILES = epsf.tex texinfo.tex txi-cs.tex txi-de.tex txi-no.tex
 TEXINFO_TEX_DIR = Texinfo/doc
-all install:
+all install install_all:
 	@ for SUBDIR in ${BUILD1_SUBDIRS}; \
 	do \
Index: Singular/Makefile.in
===================================================================
--- Singular/Makefile.in	(revision cbc4b8a7c332e1bec9c9736ce1c4a906902a1b73)
+++ Singular/Makefile.in	(revision be6689fe956f0a8b1125b510d5502af93d70d021)
@@ -489,4 +489,6 @@
 install: all installbin installslib
 
+install_all: install
+
 install-nolns: all installbin-nolns installslib-nolns
 
Index: doc/Makefile.in
===================================================================
--- doc/Makefile.in	(revision cbc4b8a7c332e1bec9c9736ce1c4a906902a1b73)
+++ doc/Makefile.in	(revision be6689fe956f0a8b1125b510d5502af93d70d021)
@@ -296,4 +296,6 @@
 	test -r ${htmldir} || ln -s `pwd`/${HTML_SUBDIR} ${htmldir}
 	test -r ${exdir} || ln -s `pwd`/${EX_SUBDIR} ${exdir}
+
+install_all: install
 
 uninstall:
Index: emacs/Makefile.in
===================================================================
--- emacs/Makefile.in	(revision cbc4b8a7c332e1bec9c9736ce1c4a906902a1b73)
+++ emacs/Makefile.in	(revision be6689fe956f0a8b1125b510d5502af93d70d021)
@@ -22,4 +22,6 @@
 
 all install: cmd-cmpl.el hlp-cmpl.el lib-cmpl.el ex-cmpl.el
+
+install_all: install
 
 cmd-cmpl.el: ${SINGULAR} cmpl.pl
Index: factory/GNUmakefile.in
===================================================================
--- factory/GNUmakefile.in	(revision cbc4b8a7c332e1bec9c9736ce1c4a906902a1b73)
+++ factory/GNUmakefile.in	(revision be6689fe956f0a8b1125b510d5502af93d70d021)
@@ -464,5 +464,5 @@
 all:		$(alltargets)
 
-cf:		factoryconf.h factory.h $(libfactory) libsingcf_g.a libsingcf_p.a
+cf:		factoryconf.h factory.h $(libfactory) libsingcf_g.a
 
 mem:		libcfmem.a
@@ -606,4 +606,7 @@
 install:	$(installtargets)
 
+install_all:	install libsingcf_p.a
+		-$(INSTALL_DATA) libsingcf_p.a $(libdir)/libsingcf_p.a
+
 install-nolns: install
 
@@ -614,5 +617,4 @@
 		$(INSTALL_DATA) $(libfactory) $(libdir)/$(libfactory)
 		-$(INSTALL_DATA) libsingcf_g.a $(libdir)/libsingcf_g.a
-		-$(INSTALL_DATA) libsingcf_p.a $(libdir)/libsingcf_p.a
 		$(INSTALL_DATA) factory.h $(includedir)/factory.h
 		$(INSTALL_DATA) cf_gmp.h $(includedir)/cf_gmp.h
Index: kernel/Makefile.in
===================================================================
--- kernel/Makefile.in	(revision cbc4b8a7c332e1bec9c9736ce1c4a906902a1b73)
+++ kernel/Makefile.in	(revision be6689fe956f0a8b1125b510d5502af93d70d021)
@@ -251,5 +251,5 @@
 endif
 
-all:	kversion.h libkernel.a libkernel_g.a libkernel_p.a mmalloc.o ${DL_LIBS} ${DL_LIBSG} ${OBJS2} ${DL_LIBSP}
+all:	kversion.h libkernel.a libkernel_g.a mmalloc.o ${DL_LIBS} ${DL_LIBSG} ${OBJS2}
 
 libkernel.a: ${OBJS}
@@ -296,9 +296,19 @@
 install: all installbin
 
-installbin: ${DL_LIBS} ${DL_LIBSG} ${DL_LIBSP}
+install_all: install libkernel_p.a ${DL_LIBSP}
+	- ranlib libkernel_p.a
+ifeq (,${DL_LIBS})
+else
+ifeq (,${DL_LIBSG})
+else
+	-for file in ${DL_LIBSP}; do ${INSTALL_PROGRAM} $$file ../Singular; done
+endif
+endif
+
+
+installbin: ${DL_LIBS} ${DL_LIBSG}
 	${MKINSTALLDIRS} ${bindir}
 	- ranlib libkernel.a
 	- ranlib libkernel_g.a
-	- ranlib libkernel_p.a
 ifeq (,${DL_LIBS})
 else
@@ -306,5 +316,5 @@
 ifeq (,${DL_LIBSG})
 else
-	-for file in ${DL_LIBS} ${DL_LIBSG} ${DL_LIBSP}; do ${INSTALL_PROGRAM} $$file ../Singular; done
+	-for file in ${DL_LIBS} ${DL_LIBSG}; do ${INSTALL_PROGRAM} $$file ../Singular; done
 endif
 endif
Index: kernel/structs.h
===================================================================
--- kernel/structs.h	(revision cbc4b8a7c332e1bec9c9736ce1c4a906902a1b73)
+++ kernel/structs.h	(revision be6689fe956f0a8b1125b510d5502af93d70d021)
@@ -9,15 +9,14 @@
 */
 
-#include <string.h> /* for memset */
+/* for memset: */
+#include <string.h>
 #ifdef HAVE_RINGS
 #include <si_gmp.h>
 #endif
 
-#ifndef NATNUMBER
-#define NATNUMBER unsigned long
-#endif
 
 /* standard types */
 #ifdef HAVE_RINGS
+typedef unsigned long NATNUMBER;
 typedef MP_INT *int_number;
 #endif
Index: libfac/Makefile.in
===================================================================
--- libfac/Makefile.in	(revision cbc4b8a7c332e1bec9c9736ce1c4a906902a1b73)
+++ libfac/Makefile.in	(revision be6689fe956f0a8b1125b510d5502af93d70d021)
@@ -82,5 +82,5 @@
 .SUFFIXES:      .cc .h .o .op .og
 
-all: OPTOBJ ${TARGETNAME} libsingfac_p.a libsingfac_g.a
+all: OPTOBJ ${TARGETNAME} libsingfac_g.a
 
 OPTOBJ:
@@ -153,7 +153,9 @@
 	${INSTALL_DATA} ${TARGETNAME}.a ${libdir}
 	-${INSTALL_DATA} libsingfac_g.a ${libdir}
-	-${INSTALL_DATA} libsingfac_p.a ${libdir}
 	$(RANLIB) ${libdir}/${TARGETNAME}.a
 	-$(RANLIB) ${libdir}/libsingfac_g.a
+
+install_all: install libsingfac_p.a
+	-${INSTALL_DATA} libsingfac_p.a ${libdir}
 	-$(RANLIB) ${libdir}/libsingfac_p.a
 
Index: modules/Makefile.in
===================================================================
--- modules/Makefile.in	(revision cbc4b8a7c332e1bec9c9736ce1c4a906902a1b73)
+++ modules/Makefile.in	(revision be6689fe956f0a8b1125b510d5502af93d70d021)
@@ -143,4 +143,6 @@
 	done
 
+install_all: install
+
 install-bindist: all
 	(cd modgen; ${MAKE} install_bindir=${install_bindir} $@)
Index: ntl/Makefile
===================================================================
--- ntl/Makefile	(revision cbc4b8a7c332e1bec9c9736ce1c4a906902a1b73)
+++ ntl/Makefile	(revision be6689fe956f0a8b1125b510d5502af93d70d021)
@@ -25,4 +25,6 @@
 	(cd src;$(MAKE) install || exit 1;cd ..)
 
+install_all: install
+
 clean:
 	cd src;$(MAKE) clean;cd ..
Index: ntl/README
===================================================================
--- ntl/README	(revision cbc4b8a7c332e1bec9c9736ce1c4a906902a1b73)
+++ ntl/README	(revision be6689fe956f0a8b1125b510d5502af93d70d021)
@@ -19,5 +19,5 @@
 The latest version of NTL is available at http://www.shoup.net.
 
-The sources have been modified for Singular-3-1-0
+The sources (5.5.2) have been modified for Singular-3-x-x
 - for errors blame singular@mathematik.uni-kl.de,
 not Victor Shoup (victor@shoup.net)
Index: omalloc/Makefile.in
===================================================================
--- omalloc/Makefile.in	(revision cbc4b8a7c332e1bec9c9736ce1c4a906902a1b73)
+++ omalloc/Makefile.in	(revision be6689fe956f0a8b1125b510d5502af93d70d021)
@@ -194,5 +194,5 @@
 	$(INSTALL) omalloc.h $(includedir)/singular
 
-install: all libomalloc_p.a
+install: all
 	$(MKINSTALLDIRS) $(libdir)
 	$(MKINSTALLDIRS) $(includedir)
@@ -201,6 +201,4 @@
 	$(INSTALL_DATA) libomalloc_ndebug.a $(libdir)
 	$(RANLIB) $(libdir)/libomalloc_ndebug.a
-	$(INSTALL_DATA) libomalloc_p.a $(libdir)
-	$(RANLIB) $(libdir)/libomalloc_p.a
 	$(INSTALL_DATA) omalloc.o $(libdir)
 	$(INSTALL_DATA) omalloc_debug.o $(libdir)
@@ -209,4 +207,8 @@
 	$(INSTALL_DATA) omlimits.h $(includedir)
 	$(INSTALL_DATA) mylimits.h $(includedir)
+
+install_all: install libomalloc_p.a
+	$(INSTALL_DATA) libomalloc_p.a $(libdir)
+	$(RANLIB) $(libdir)/libomalloc_p.a
 
 install_min: libomalloc_ndebug.a omalloc.o
